Bug 616575 - openmpi does not work with non-infinipath hardware
openmpi does not work with non-infinipath hardware
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: openmpi (Show other bugs)
6.0
All Linux
high Severity high
: rc
: ---
Assigned To: Jay Fenlason
Gurhan Ozen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-20 16:07 EDT by Jay Fenlason
Modified: 2014-08-31 19:29 EDT (History)
8 users (show)

See Also:
Fixed In Version: openmpi-1.4.1-4.3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 16:16:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Fenlason 2010-07-20 16:07:51 EDT
Description of problem:
infinipath support breaks support for non-infinipath hardware.

Version-Release number of selected component (if applicable):
1.4.1-4.2

How reproducible:
always

Steps to Reproduce:
1.attempt to run an openmpi program on non-infinipath hardware.
2.
3.
  
Actual results:
program fails to run

Expected results:
program runs

Additional info:
Comment 2 RHEL Product and Program Management 2010-07-20 16:17:40 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 6 Jay Fenlason 2010-08-31 11:57:48 EDT
On my machines, which only have mlx4 hardware in them, the libraries that include psm support exit when they fail to open /dev/ipath.  Are you running your tests on machines that have ipath hardware that you aren't using?
Comment 7 Gurhan Ozen 2010-08-31 12:46:20 EDT
(In reply to comment #6)
> On my machines, which only have mlx4 hardware in them, the libraries that
> include psm support exit when they fail to open /dev/ipath.  Are you running
> your tests on machines that have ipath hardware that you aren't using?

I have unloaded ib_mthca module and loaded ib_ipath so that only infinipath devices were up and running and ran openmpi. 

I wonder if you didn't have libipathverbs and infinipath-psm packages on ?
Comment 9 releng-rhel@redhat.com 2010-11-10 16:16:32 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.